#!/bin/bash

TITLE="Linkat - Configuració Google Drive"

function googledrive {

	google-drive-ocamlfuse
        google-drive-ocamlfuse /srv/backup
        yad --width=400 --height=200 --center \
        --title="$TITLE" \
        --text="\nPer accedir al servei de Google Drive, cal anar al directori \"/srv/backup\"." \
        --image="/usr/share/linkat/linkat-gdlnadmin/linkat-gdlnadmin-banner.png" \
        --button="D'acord":0
}

yad --width=400 --height=200 --center \
        --title="$TITLE" \
        --text="\nVoleu configurar el compte de Google per realitzar les còpies de seguretat al núvol?" \
        --image="/usr/share/linkat/linkat-gdlnadmin/linkat-gdlnadmin-banner.png" \
        --button="D'acord":0 --button="Cancel·la":11
res1="$?"

if [ "$res1" -gt 1 ]; then
        exit 11
fi

if [ ! -f /home-local/lnadmin/.gdfuse/default/state ]; then
        googledrive
else
        yad --width=500 --height=300 --center \
               --title="$TITLE" \
                --text="\nJa teniu un compte de Google associat. Voleu continuar fent servir aquest compte?" \
                --image="/usr/share/linkat/linkat-gdlnadmin/linkat-gdlnadmin-banner.png" \
                --button="D'acord":0 --button="Canvia":2
        Action="$?"
        case "$Action" in
                0)
                        ;;
                2)
			fusermount -u /srv/backup > /dev/null 2>&1
                        rm -rf /home-local/lnadmin/.gdfuse
                        googledrive
                        ;;
                *)      exit 11
        esac
fi
